TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsIntegral ( elt-ids^int/ord^fun I ) -> elt-alg^boo

### Description

<shortdoc> True iff the fractional ideal I is integral. </shortdoc>

### Examples

x_gf3 := FiniteField(3);; x_gf3x := PolynomialAlgebra(x_gf3);; x_gf3xy := PolynomialAlgebra(x_gf3x);; x_f := x_gf3xy.1^2+1;; x_F := FunctionField(x_f);; x_O := MaximalOrderFinite(x_F);; x_I := Element(x_O,[3,1])*x_O; IsIntegral(x_I); IsIntegral(1/x_I);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack